---
title: "Using XSweet"
draft: false
weight: 300
part: 1
Intro : "There are a variety of ways to run XSweet, HTMLevator, and Editoria Typescript"
class: using
---
There are a variety of ways to run XSweet, HTMLevator, and Editoria Typescript. Below are several examples, although this is not an exhaustive list. We suggest running [XSweet with PubSweet](/using-xsweet/#pubsweet) in production.

## XSweet with *nix and beyond

One of the powerful features of XSweet is that it can be run in a wide variety of environments. For example, XSweet can be run using a Unix-like terminal and a few scripts; indeed, this was how much of the testing was done.

You can find some [example Bash and Ruby scripts here](https://gitlab.coko.foundation/XSweet/XSweet_runner_scripts/ "gitlab.coko.foundation/XSweet/XSweet_runner_scripts") (not maintained or warrantied). These are used for XSweet's' testing and development to quickly convert many files and inspect each step's inputs and outputs.

{{< figure src="../images/xsweet_bash-768x291.pngg" >}}

Be aware that the above scripts aren't recommended for production; they're simply offered as an illustration of what is possible. XSweet can also be run as a very speedy PHP service, in an XML IDE, using XPL pipelines, and more.

We **recommend using XSweet with INK** for robust and reliable job management.

## XSweet with PubSweet

We recommend running XSweet with [PubSweet](https://gitlab.coko.foundation/pubsweet/pubsweet "gitlab.coko.foundation/pubsweet"), the Coko Foundation's publishing platforms back end, which includes a built-in job runner. 

## XSweet with Editoria

XSweet is used to upload .docx file contents into Editoria, a open-source in-browser book production platform developed for the [University of California Press](https://www.ucpress.edu/ "www.ucpress.edu").

{{< figure src="../images/editoria_wax_big-768x447.png" >}}

This video shows XSweet extracting the .docx contents into a digital format that's ported into Editoria for further enhancement:

<figure class="video_container">
  <iframe src="https://vimeo.com/266959595" frameborder="0" allowfullscreen="true"> </iframe>
</figure>

For more information on Editoria, check out the [repo and roadmap](https://gitlab.coko.foundation/editoria/editoria/ "gitlab.coko.foundation/editoria"), and the [Editoria website](https://editoria.pub/ "editoria.pub").